import { jsxs, jsx } from "react/jsx-runtime";
import { useRouter } from "@tanstack/react-router";
const SplitErrorComponent = ({
  error,
  reset
}) => {
  const router = useRouter();
  return /* @__PURE__ */ jsxs("div", { className: "container mx-auto px-4 py-20 text-center", children: [
    /* @__PURE__ */ jsx("p", { className: "text-destructive", children: error.message }),
    /* @__PURE__ */ jsx("button", { className: "mt-4 text-brand-bright underline", onClick: () => {
      reset();
      router.invalidate();
    }, children: "Retry" })
  ] });
};
export {
  SplitErrorComponent as errorComponent
};
